%define is_release 1
%define beta %{nil}
%define rel 2
%define DATE 20020218
Version: 4.2.3
%define ver %{version}%{beta}

Name: kontrol-panel
Summary: System configuration tool launcher
Prefix: /usr
%if %{is_release}
Source: control-panel-%{ver}.tar.bz2
%if "%{beta}" != ""
Release: 0.%{beta}.%{rel}
%else
Release: %{rel}
%endif
%else
Source: control-panel-%{DATE}.tar.bz2
Release: 0.cvs%{DATE}.%{rel}
%endif
Epoch: 8
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Prereq: /sbin/ldconfig
Requires: qt >= 3.0.0
BuildRequires: qt-devel >= 3.0.0

%description
Kontrol-panel is a Qt based control panel - it lets you launch the
installed system configuration tools.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n control-panel-%{version}

# Workaround for legacy auto* tools
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
# End workaround

cd qt
./gen
cd ..
make -f Makefile.cvs

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

CFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS -fno-rtti -fno-exceptions -fno-check-new -DNDEBUG -DNO_DEBUG" \

%configure --prefix=/usr
make %{?_smp_mflags}

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT/usr/share/applnk/System
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/etc/skel/.gnome-desktop
mv $RPM_BUILD_ROOT/usr/bin/*kontrol-panel $RPM_BUILD_ROOT/usr/bin/kontrol-panel
mv $RPM_BUILD_ROOT/etc/X11/applnk/System/kontrol-panel.desktop $RPM_BUILD_ROOT/usr/share/applnk/System
mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kdesktop/DesktopLinks
install -c -m 644 scripts/kontrol-panel.desktop $RPM_BUILD_ROOT/usr/share/apps/kdesktop/DesktopLinks/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /usr/share/apps/kdesktop/DesktopLinks/kontrol-panel.desktop
%{_bindir}/kontrol-panel
%{_datadir}/kontrol-panel
%{_datadir}/pixmaps/*
%{_datadir}/applnk/System/kontrol-panel.desktop
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/kontrol-panel.mo

%changelog
* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 4.2.3-2
- Rebuild

* Sun Apr 14 2002 Than Ngo <than@redhat.com> 4.2.3-1
- fix desktop file (#63268)

* Wed Apr 10 2002 Than Ngo <than@redhat.com> 4.2.2-1
- fix segmentation fault by exit (bug #63098)
- lauch authconfig.gtk instead authconfig (bug #63084)
- get rid of some redundante entries (bug #63085)
- resize size icon if it's greater then 32

* Tue Apr  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 4.2.1-1
- Fix the part of #62133 that is actually valid

* Sun Mar 10 2002 Bernhard Rosenkraenzer <bero@redhat.com> 4.2.0-2
- Fix build with legacy auto* tools

* Mon Feb 18 2002 Bernhard Rosenkraenzer <bero@redhat.com> 4.2.0-1
- Initial build as separate package
